import 'package:nudge_leaderboard_ui/features/leaderboard/presentation/pages/testingpage.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

String nudgeUrl = 'https://pointsystem.api.nudgenow.com/api/v1';
String apiUrl = 'https://api.nudgenow.com';

void main() {
  WidgetsFlutterBinding.ensureInitialized();
  SystemChrome.setPreferredOrientations([
    DeviceOrientation.portraitUp,
    DeviceOrientation.portraitDown,
  ]);
  runApp(const MyApp());
}

class MyApp extends StatefulWidget {
  const MyApp({super.key});

  @override
  State<MyApp> createState() => MyAppState();
}

class MyAppState extends State<MyApp> {
  static String token = "";
  static String spinTheWheelId = "";

  @override
  Widget build(BuildContext context) {
    return const MaterialApp(
      title: 'Nudge leaderboard',
      home: LoginPage(),
    );
  }
}
